<?
if(isset($_GET['myfarm']) && isset($_GET['cultivator']) && intval($_GET['cultivator'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id` = '".intval($_GET['cultivator'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0)
{
$ground=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_ground` WHERE `id` = '".intval($_GET['cultivator'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"));
$rat=10;
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_cultivator_act=0;
$rat_school_act=0;
$rat_lib_act=0;

//Ветряк
if(isset($sc_act)){$rat_sc_act=$rat*2;
if(isset($vtr_act))$rat_sc_act=$rat*2*4;}else{
if(isset($vtr_act))$rat_sc_act=$rat*4;
}
//Ветряк


if(isset($cultivator_act))$rat_cultivator_act=(($rat/100)*$cultivator_act);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat+$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
mysql_querll("UPDATE `kolhoz_ground` SET `cultivator` = '1' WHERE `id` = '".intval($_GET['cultivator'])."' LIMIT 1");
mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
header("Location:?myfarm&".passgen());
exit;
}
?>